Subject: Re: lksctp bugs

From: Sridhar Samudrala <[email-masked]>
Date: Fri, 27 Jan 2006 00:00:13 -0800

Peter Lei (peterlei) wrote:
> Hi Sridhar,
>
> Where is the proper place for one to file and/or view bug
> reports for the lksctp stack?
>   
You could either report it on the lksctp-developers mailing list
           http://sourceforge.net/mail/?group_id=26529
or file a bug report here
           http://sourceforge.net/tracker/?group_id=26529&atid=387570

> I was porting our BSD/MacOS sctp test application to the
> Linux stack and ran into the following API issue-- the draft
> specifies:
>
> 7.1.10.  Set Primary Address (SCTP_PRIMARY_ADDR)
>    struct sctp_setprim {
>    }
>
> but the Linux sctp.h file (in 2.6.14 at least) names it as
>    struct sctp_prim {
>    }
>   
I remember this and i think i raised this issue sometime back on the 
sctp-impl mailing list.
I suggested that the draft be updated to use sctp_prim as the structure 
name as it is a
read/write option and can be used with both getsockopt and setsockopt. 
Looks like
the name of the socket option is updated from SCTP_SET_PRIMARY_ADDR to
SCTP_PRIMARY_ADDR, but the name of the structure is unchanged.
I guess it could be updated in the next release of the draft.

Adding sctp-impl and lksctp-developers mailing lists to the CC list.

Thanks
Sridhar

> thanks!
> --peter